Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.netz
Class Clientverbindung

    java.lang.Object
      java.lang.Thread
          sum.netz.Verbindung
              sum.netz.Clientverbindung

All Implemented Interfaces:
  Serializable, Runnable

    public abstract class Clientverbindung

extends Verbindung
implements Serializable

Mit der Clientverbindung kann über das Netz die Verbindung zu einer Serververbindung hergestellt werden.
Fehlermeldungen werden ausgegeben.
Die Eingaben werden nebenläufig verarbeitet.
Auf Wunsch wird jeder Schritt mitprotokolliert.

Version:
  7.3 vom 11.10.2011
Author:
  Bernard Schriek, Horst Hildebrecht
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class sum.netz.Verbindung
`zVerbindungAktiv`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Clientverbindung(String pIPAdresse, int pPortNr, boolean pTestModus)` Die Verbindung ist mit Ein- und Ausgabestreams initialisiert.

Method Summary
`abstract void` | `bearbeiteNachricht(String pText)` Eine Nachricht vom Server wurde bearbeitet.
`void` | `bearbeiteVerbindungsverlust()` Der Client hat auf den Verlust der Verbindung mit dem Server reagiert.
`void` | `gibFrei()` Die Verbindung wurde mit Ein- und Ausgabestreams geschlossen.
`String` | `toString()` Die Clientverbindung wird in Textform zurückgegeben

Methods inherited from class sum.netz.Verbindung
`eigeneAdresse, eigenerPort, empfangeneNachricht, erstelleVerbindung, mitProtokoll, partnerAdresse, partnerPort, sende, verbindungsSocket, vorhanden`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Clientverbindung

    public Clientverbindung(String pIPAdresse,
                            int pPortNr,
                            boolean pTestModus)

  Die Verbindung ist mit Ein- und Ausgabestreams initialisiert.

  Parameters:
    `pIPAdresse` - IP-Adresse bzw. Domain des Servers
    `pPortNr` - Portnummer des Sockets
    `pTestModus` - Wenn true, werden bei jeder Operation Meldungen auf der Konsole ausgegeben.

Method Detail

### bearbeiteNachricht

    public abstract void bearbeiteNachricht(String pText)

  Eine Nachricht vom Server wurde bearbeitet.
  Diese abstrakte Methode muss in Unterklassen überschrieben werden.

  Parameters:
    `pText` - die empfangene Nachricht, die bearbeitet werden soll

### bearbeiteVerbindungsverlust

    public void bearbeiteVerbindungsverlust()

  Der Client hat auf den Verlust der Verbindung mit dem Server reagiert.
  Diese Methode kann in Unterklassen überschrieben werden.

### gibFrei

    public void gibFrei()

  Die Verbindung wurde mit Ein- und Ausgabestreams geschlossen.

  Overrides:
    `gibFrei` in class `Verbindung`

### toString

    public String toString()

  Die Clientverbindung wird in Textform zurückgegeben

  Overrides:
    `toString` in class `Verbindung`
  Returns:
    der Socket der Verbindung

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD